Please create the Edit filter helper user group on en.wp
Closed, ResolvedPublic

Description

Following a month-long RFC at the edit filter noticeboard (permalink) there is consensus to create the "edit filter helper" usergroup on the English Wikipedia.

Membership of the group should be grantable and revokable by administrators and confer the following rights:

  • abusefilter-view-private
  • spamblacklistlog

Full details are at WP:EFH.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 12 2017, 1:09 PM
Thryduulf renamed this task from Please create the Edit filter helper user group on en.w[ to Please create the Edit filter helper user group on en.wp.Sep 12 2017, 1:09 PM
Restricted Application added a project: User-MarcoAurelio. · View Herald TranscriptSep 12 2017, 1:19 PM
DatGuy added a subscriber: DatGuy.Sep 12 2017, 1:33 PM
MarcoAurelio triaged this task as Low priority.Sep 12 2017, 1:42 PM
MarcoAurelio removed a project: AbuseFilter.
MarcoAurelio moved this task from unsorted to working on on the User-MarcoAurelio board.
MarcoAurelio moved this task from Backlog to Config - to process on the Wikimedia-Site-requests board.

Change 377473 had a related patch set uploaded (by MarcoAurelio; owner: MarcoAurelio):
[operations/mediawiki-config@master] New 'abusefilter-helper' configuration for en.wikipedia

https://gerrit.wikimedia.org/r/377473

JJMC89 added a subscriber: JJMC89.Sep 12 2017, 3:41 PM

You'll need to create the following local messages:

  • MediaWiki:Group-abusefilter-helper: Edit filter helpers
  • MediaWiki:Group-abusefilter-helper-member: {{GENDER:$1|edit filter helper}}
  • MediaWiki:Grouppage-abusefilter-helper: {{ns:project}}:Edit filter helpers

I'll try to have the new group live on Monday for the EU SWAT window.

Can these be created before the group exists or is it best to wait?

These need to be created pre-patch.

Creating the messages is not a blocking task, however I've already made the localizations so it is done anyway.

Messages can be created at any time indeed. Thanks for taking care of that already. I'll try to get this done on Monday EU SWAT window.

Change 377473 merged by jenkins-bot:
[operations/mediawiki-config@master] New 'abusefilter-helper' configuration for en.wikipedia

https://gerrit.wikimedia.org/r/377473

Mentioned in SAL (#wikimedia-operations) [2017-09-18T13:09:34Z] <hashar@tin> Synchronized wmf-config: New 'abusefilter-helper' configuration for en.wikipedia - T175684 (duration: 00m 49s)

MarcoAurelio closed this task as Resolved.Sep 18 2017, 1:14 PM
MarcoAurelio moved this task from ready to archive on the User-MarcoAurelio board.
MarcoAurelio removed a project: Patch-For-Review.

Done.